it-swarm.com.de

Wie kann ich dpkg-Abhängigkeitsprobleme lösen?

$ Sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
8 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up unity-2d-common (5.12.0-0ubuntu1.1) ...

(gconftool-2:13920): GConf-WARNING **: Failed to load source "xml:merged:/tmp/gconf-pfTj8n/gconf": Failed: Could not make directory `/tmp/gconf-pfTj8n/gconf': Permission denied
**
GConf:ERROR:gconftool.c:969:main: assertion failed: (err == NULL)
dpkg: error processing unity-2d-common (--configure):
 subprocess installed post-installation script returned error exit status 250
dpkg: dependency problems prevent configuration of unity-2d-panel:
 unity-2d-panel depends on unity-2d-common (= 5.12.0-0ubuntu1.1); however:
  Package unity-2d-common is not configured yet.
dpkg: error processing unity-2d-panel (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d-spread:
 unity-2d-spread depends on unity-2d-common (= 5.12.0-0ubuntu1.1); however:
  Package unity-2d-common is not configured yet.
dpkg: error processing unity-2d-spread (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d-Shell:
 unity-2d-Shell depends on unity-2d-common (= 5.12.0-0ubuntu1.1); however:
  Package unity-2d-common is not configured yet.
dpkg: error processing unity-2d-Shell (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d:
 unity-2d depends on unity-2d-panel; however:
  Package unity-2d-panel is not cNo apport report written because the error message indicates its a followup error from a previous failure.
                                                           No apport report written because the error message indicates its a followup error from a previous failure.
     No apport report written because MaxReports is reached already
                                                                   No apport report written because MaxReports is reached already
                                                 No apport report written because MaxReports is reached already
                               No apport report written because MaxReports is reached already
             No apport report written because MaxReports is reached already
                                                                           onfigured yet.
 unity-2d depends on unity-2d-spread; however:
  Package unity-2d-spread is not configured yet.
 unity-2d depends on unity-2d-Shell; however:
  Package unity-2d-Shell is not configured yet.
dpkg: error processing unity-2d (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d-launcher:
 unity-2d-launcher depends on unity-2d-Shell; however:
  Package unity-2d-Shell is not configured yet.
dpkg: error processing unity-2d-launcher (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d-places:
 unity-2d-places depends on unity-2d-Shell; however:
  Package unity-2d-Shell is not configured yet.
dpkg: error processing unity-2d-places (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unity-2d-dbg:
 unity-2d-dbg depends on unity-2d (= 5.12.0-0ubuntu1.1); however:
  Package unity-2d is not configured yet.
dpkg: error processing unity-2d-dbg (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 unity-2d-common
 unity-2d-panel
 unity-2d-spread
 unity-2d-Shell
 unity-2d
 unity-2d-launcher
 unity-2d-places
 unity-2d-dbg
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ich habe viel versucht und kann das nicht zum Laufen bringen. Ich glaube, ich habe eine Installation unterbrochen und es hat einfach alles kaputt gemacht. Ich habe gegoogelt und verschiedene Korrekturen versucht.

3
HungryMan

Versuche dies. Drücken Sie Ctrl-Alt-F1, um zu einem Terminal zu wechseln (Sie können mit Ctrl-Alt-F7 zu Ihrem Desktop zurückkehren). Melden Sie sich an und geben Sie Folgendes ein:

  • Sudo apt-get remove unity-3d-common unity-2d-panel unity-2d-spread unity-2d-Shell

Und dann:

  • Sudo apt-get update && Sudo apt-get upgrade

Wenn das nicht funktioniert, bearbeiten Sie Ihre Frage mit der Ausgabe dieses Befehls: dpkg --list | grep unity

6
ish